=== debian/control ===
--- 
+++ 
@@ -3,23 +3,23 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 3.5~),
+Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.54.0~),
+               extra-cmake-modules (>= 5.56.0~),
                graphviz,
-               libkf5coreaddons-dev (>= 5.54.0~),
-               libkf5i18n-dev (>= 5.54.0~),
-               libkf5pty-dev (>= 5.54.0~),
-               libkf5service-dev (>= 5.54.0~),
+               libkf5coreaddons-dev (>= 5.56.0~),
+               libkf5i18n-dev (>= 5.56.0~),
+               libkf5pty-dev (>= 5.56.0~),
+               libkf5service-dev (>= 5.56.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.9.0~),
+               qtbase5-dev (>= 5.8.0~),
                qttools5-dev-tools (>= 5.4),
 Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/frameworks/kdesu
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdesu
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdesu.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdesu
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdesu
 
 Package: libkf5su-bin
 Architecture: any
@@ -43,12 +43,11 @@
  Contains translation files for kdesu.
 
 Package: libkf5su-dev
+Architecture: any
 Section: libdevel
-Architecture: any
-Depends: libkf5pty-dev (>= 5.54.0~),
+Depends: libkf5pty-dev (>= 5.55.0~),
          libkf5su5 (= ${binary:Version}),
          ${misc:Depends},
-Breaks: libkf5kdelibs4support-dev (<< 5.54)
 Recommends: libkf5su-doc (= ${source:Version})
 Description: development files for kdesu
  Framework to handle super user actions.
@@ -58,12 +57,12 @@
 Package: libkf5su-doc
 Architecture: all
 Multi-Arch: foreign
+Section: doc
 Depends: ${misc:Depends}
 Description: runtime files for kdesu (documentation)
  Framework to handle super user actions.
  .
  This package contains the qch documentation files.
-Section: doc
 
 Package: libkf5su5
 Architecture: any
