=== debian/control ===
--- 
+++ 
@@ -1,26 +1,27 @@
 Source: kdesu
 Section: libs
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Maximiliano Curia <maxy@debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Maximiliano Curia <maxy@debian.org>,
+           Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.5~),
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.74.0~),
+               extra-cmake-modules (>= 5.78.0~),
                graphviz,
-               libkf5coreaddons-dev (>= 5.74.0~),
-               libkf5i18n-dev (>= 5.74.0~),
-               libkf5pty-dev (>= 5.74.0~),
-               libkf5service-dev (>= 5.74.0~),
+               libkf5coreaddons-dev (>= 5.78.0~),
+               libkf5i18n-dev (>= 5.78.0~),
+               libkf5pty-dev (>= 5.78.0~),
+               libkf5service-dev (>= 5.78.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.12.0~),
+               qtbase5-dev (>= 5.14.0~),
                qttools5-dev,
-               qttools5-dev-tools (>= 5.4),
-Standards-Version: 4.5.0
-Homepage: https://projects.kde.org/projects/frameworks/kdesu
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdesu
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdesu
+               qttools5-dev-tools (>= 5.4)
+Standards-Version: 4.5.1
+Homepage: https://invent.kde.org/frameworks/kdesu
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdesu
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdesu.git
 Rules-Requires-Root: no
 
 Package: libkf5su-bin
@@ -47,9 +48,9 @@
 Package: libkf5su-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5pty-dev (>= 5.74.0~),
+Depends: libkf5pty-dev (>= 5.78.0~),
          libkf5su5 (= ${binary:Version}),
-         ${misc:Depends},
+         ${misc:Depends}
 Breaks: libkf5kdelibs4support-dev (<< 5.54)
 Recommends: libkf5su-doc (= ${source:Version})
 Description: development files for kdesu
