=== debian/control ===
--- 
+++ 
@@ -1,27 +1,26 @@
 Source: kdesu
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Maximiliano Curia <maxy@debian.org>,
-           Norbert Preining <norbert@preining.info>
-Build-Depends: cmake (>= 3.5~),
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Norbert Preining <norbert@preining.info>
+Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.86.0~),
-               graphviz,
-               libkf5coreaddons-dev (>= 5.86.0~),
-               libkf5i18n-dev (>= 5.86.0~),
-               libkf5pty-dev (>= 5.86.0~),
-               libkf5service-dev (>= 5.86.0~),
+               extra-cmake-modules (>= 5.92.0~),
+               libkf5coreaddons-dev (>= 5.92.0~),
+               libkf5i18n-dev (>= 5.92.0~),
+               libkf5pty-dev (>= 5.92.0~),
+               libkf5service-dev (>= 5.92.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.14.0~),
+               qtbase5-dev (>= 5.15.2~),
                qttools5-dev,
                qttools5-dev-tools (>= 5.4),
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://invent.kde.org/frameworks/kdesu
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdesu
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdesu.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdesu
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdesu
 Rules-Requires-Root: no
 
 Package: libkf5su-bin
@@ -48,7 +47,7 @@
 Package: libkf5su-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5pty-dev (>= 5.86.0~),
+Depends: libkf5pty-dev (>= 5.92.0~),
          libkf5su5 (= ${binary:Version}),
          ${misc:Depends},
 Breaks: libkf5kdelibs4support-dev (<< 5.54)
@@ -74,7 +73,7 @@
 Depends: libkf5su-data (= ${source:Version}),
          sudo,
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Recommends: libkf5su-bin (= ${binary:Version})
 Description: Integration with su for elevated privileges.
  Framework to handle super user actions
